Package: org.apache.groovy.contracts

## [Java] Class LoopVariantViolation

- org.apache.groovy.contracts.LoopVariantViolation

-     public class LoopVariantViolation
      extends AssertionViolation

  Thrown whenever a loop variant (decreases/increases) violation occurs.

  See Also:
    AssertionViolation
  Since:
    6.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LoopVariantViolation()` Creates a loop-variant violation without an explicit detail message.
    `LoopVariantViolation(Object o)` Creates a loop-variant violation with an object-valued detail.
    `LoopVariantViolation(boolean b)` Creates a loop-variant violation with a boolean detail.
    `LoopVariantViolation(char c)` Creates a loop-variant violation with a character detail.
    `LoopVariantViolation(int i)` Creates a loop-variant violation with an integer detail.
    `LoopVariantViolation(long l)` Creates a loop-variant violation with a long detail.
    `LoopVariantViolation(float f)` Creates a loop-variant violation with a floating-point detail.
    `LoopVariantViolation(double d)` Creates a loop-variant violation with a double-precision detail.

- - ### Constructor Detail

    - #### public LoopVariantViolation()

      Creates a loop-variant violation without an explicit detail message.

    - #### public LoopVariantViolation(Object o)

      Creates a loop-variant violation with an object-valued detail.

      Parameters:
        `o` - the detail object

    - #### public LoopVariantViolation(boolean b)

      Creates a loop-variant violation with a boolean detail.

      Parameters:
        `b` - the detail value

    - #### public LoopVariantViolation(char c)

      Creates a loop-variant violation with a character detail.

      Parameters:
        `c` - the detail value

    - #### public LoopVariantViolation(int i)

      Creates a loop-variant violation with an integer detail.

      Parameters:
        `i` - the detail value

    - #### public LoopVariantViolation(long l)

      Creates a loop-variant violation with a long detail.

      Parameters:
        `l` - the detail value

    - #### public LoopVariantViolation(float f)

      Creates a loop-variant violation with a floating-point detail.

      Parameters:
        `f` - the detail value

    - #### public LoopVariantViolation(double d)

      Creates a loop-variant violation with a double-precision detail.

      Parameters:
        `d` - the detail value